<?php
/**
 * file semmelstatzR_startup.php
 *
 * @package SemmelstatzR
 * @version $Rev$
 * @author Ortwin Pinke <info@dceonline.de>
 * @author Andreas 'Redunzl' Mueller
 * @copyright (c)2011 PHP-Backoffice
 * @copyright (c)2005-2009 kopfhoch-studio
 * @link http://sourceforge.net/projects/semmelstatz/
 * @license http://www.gnu.org/licenses/gpl-2.0.html
 *
 * $Id$
 */
### constants
define('SEMMELSTATZR_VERSION', '1.0.0 Beta');
define('SEMMELSTATZR_SRVPATH', dirname(__FILE__));
define('SEMMELSTATZR_HTML_RELPATH', WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
	
### Deklaration der Tabellennamen
global $wpdb;
$wpdb->statz = $wpdb->prefix . 'statz';
$wpdb->statzhist = $wpdb->prefix . 'statzhist';
    
### Auslesen des Domainnamens
global $homehost;
if(substr($_SERVER['SERVER_NAME'],0,4) == 'www.') {
    $homehost = '%' . substr($_SERVER['SERVER_NAME'],4) . '%';
} else {
    $homehost = '%' . $_SERVER['SERVER_NAME'] . '%';
}

### localization
if(!load_plugin_textdomain('semmelstatzR')) {
    $plugin_dir = basename(dirname(__FILE__));
    load_plugin_textdomain('semmelstatzR',null,$plugin_dir.'/locale/');
}

include_once SEMMELSTATZR_SRVPATH.'/includes/functions.semr.php';
include_once SEMMELSTATZR_SRVPATH.'/includes/functions.semr_template.php';
?>